Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.storage
Class Retrieval

    java.lang.Object
      |
      +--context.arch.storage.Retrieval

public class Retrieval
extends java.lang.Object

This class is a container for a data retrieval.

Field Summary
`static java.lang.String` | `RETRIEVAL_CONDITIONS` Tag for retrieval

Constructor Summary
`Retrieval()` Empty constructor
`Retrieval(AttributeFunctions attributes, Conditions conditions)` Constructor that sets attribute list and conditions
`Retrieval(DataObject retrieval)` Constructor that takes a DataObject as a parameter.

Method Summary
`AttributeFunctions` | `getAttributeFunctions()` Returns the list of AttributeFunctions to retrieve.
`Conditions` | `getConditions()` Returns the Conditions object used for retrieval.
`void` | `setAttributeFunctions(AttributeFunctions attributes)` Sets the list of attributes to retrieve.
`void` | `setConditions(Conditions conditions)` Sets the Conditions object for retrieval.
`DataObject` | `toDataObject()` Converts to a DataObject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RETRIEVAL_CONDITIONS

    public static final java.lang.String RETRIEVAL_CONDITIONS

  Tag for retrieval

Constructor Detail

### Retrieval

    public Retrieval()

  Empty constructor

### Retrieval

    public Retrieval(AttributeFunctions attributes,
                     Conditions conditions)

  Constructor that sets attribute list and conditions
  Parameters:
    `attributes` - List of AttributeFunctions to retrieve
    `conditions` - Conditions object with retrieval conditions

### Retrieval

    public Retrieval(DataObject retrieval)

  Constructor that takes a DataObject as a parameter. The DataObject should contain the tag. It stores the encoded data.
  Parameters:
    `retrieval` - DataObject that contains info for retrieval

Method Detail

### toDataObject

    public DataObject toDataObject()

  Converts to a DataObject
  Returns:
    Retrieval object converted to a DataObject

### setConditions

    public void setConditions(Conditions conditions)

  Sets the Conditions object for retrieval.
  Parameters:
    `conditions` - Conditions object for retrieval

### setAttributeFunctions

    public void setAttributeFunctions(AttributeFunctions attributes)

  Sets the list of attributes to retrieve.
  Parameters:
    `attributes` - List of attributeFunctions to retrieve

### getConditions

    public Conditions getConditions()

  Returns the Conditions object used for retrieval.
  Returns:
    Conditions object used for retrieval

### getAttributeFunctions

    public AttributeFunctions getAttributeFunctions()

  Returns the list of AttributeFunctions to retrieve.
  Returns:
    List of AttributeFunctions to retrieve

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD